path: /build/build/kbuild-dev-util-0.1.9998.3407.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/kbuild -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/kbuild
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kbuild && luet-portage --dir /pkgdir/kbuild
    dev-util/kbuild && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:469e5332fc4790020c5d6e8c2274806b7661129eddecd14e1dbc82174ef9d0bc
  package:
    name: kbuild
    version: 0.1.9998.3407
    category: dev-util
    requires:
    - name: byacc
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A makefile framework for writing simple makefiles for complex tasks
    uri:
    - http://svn.netlabs.org/kbuild/wiki
    license: GPL-3+
    buildtimestamp: 2023-09-17 07:21:02.54159817 +0000 UTC m=+134.519706889
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: sys-apps/texinfo sys-devel/flex sys-devel/gettext virtual/pkgconfig
        || ( dev-util/byacc dev-util/yacc <sys-devel/bison-3.7 )
      emerge.packages: dev-util/kbuild
      kit: dev-kit
      original.package.name: dev-util/kbuild
      original.package.slot: "0"
      original.package.version: 0.1.9998.3407
    treedir: /build/packages
  package_dir: /pkgdir/kbuild
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cbc6f15664ea2b9cdbcf45c41d93e0c1f5d8b9ff9d33e7678ab63bb7b1568719
compressiontype: zstd
files:
- usr/bin/kDepIDB
- usr/bin/kDepObj
- usr/bin/kDepPre
- usr/bin/kObjCache
- usr/bin/kmk
- usr/bin/kmk_append
- usr/bin/kmk_ash
- usr/bin/kmk_cat
- usr/bin/kmk_chmod
- usr/bin/kmk_cmp
- usr/bin/kmk_cp
- usr/bin/kmk_echo
- usr/bin/kmk_expr
- usr/bin/kmk_gmake
- usr/bin/kmk_install
- usr/bin/kmk_ln
- usr/bin/kmk_md5sum
- usr/bin/kmk_mkdir
- usr/bin/kmk_mv
- usr/bin/kmk_printf
- usr/bin/kmk_redirect
- usr/bin/kmk_rm
- usr/bin/kmk_rmdir
- usr/bin/kmk_sed
- usr/bin/kmk_sleep
- usr/bin/kmk_test
- usr/bin/kmk_time
- usr/bin/kmk_touch
- usr/share/doc/kbuild-0.1.9998.3407/QuickReference-kBuild.txt.bz2
- usr/share/doc/kbuild-0.1.9998.3407/QuickReference-kmk.html
- usr/share/doc/kbuild-0.1.9998.3407/QuickReference-kmk.txt.bz2
- usr/share/kBuild/darwin-common.kmk
- usr/share/kBuild/footer-inherit-uses-tools.kmk
- usr/share/kBuild/footer-misc.kmk
- usr/share/kBuild/footer-pass1.kmk
- usr/share/kBuild/footer-pass2-compiling-targets.kmk
- usr/share/kBuild/footer-pass2-fetches.kmk
- usr/share/kBuild/footer-pass2-installs.kmk
- usr/share/kBuild/footer-pass2-patches.kmk
- usr/share/kBuild/footer-passes.kmk
- usr/share/kBuild/footer.kmk
- usr/share/kBuild/header.kmk
- usr/share/kBuild/msgstyles/brief.kmk
- usr/share/kBuild/msgstyles/brief2.kmk
- usr/share/kBuild/rules.kmk
- usr/share/kBuild/sdks/DXSDK.kmk
- usr/share/kBuild/sdks/DXSDKAMD64.kmk
- usr/share/kBuild/sdks/DXSDKX86.kmk
- usr/share/kBuild/sdks/LIBSDL.kmk
- usr/share/kBuild/sdks/MACOSX1010.kmk
- usr/share/kBuild/sdks/MACOSX1013.kmk
- usr/share/kBuild/sdks/MACOSX1013INCS.kmk
- usr/share/kBuild/sdks/MACOSX1014.kmk
- usr/share/kBuild/sdks/MACOSX1014INCS.kmk
- usr/share/kBuild/sdks/MACOSX1015.kmk
- usr/share/kBuild/sdks/MACOSX1015INCS.kmk
- usr/share/kBuild/sdks/MACOSX104.kmk
- usr/share/kBuild/sdks/MACOSX104INCS.kmk
- usr/share/kBuild/sdks/MACOSX105.kmk
- usr/share/kBuild/sdks/MACOSX105INCS.kmk
- usr/share/kBuild/sdks/NT4DDK.kmk
- usr/share/kBuild/sdks/OS2DDKBASE32.kmk
- usr/share/kBuild/sdks/ReorderCompilerIncs.kmk
- usr/share/kBuild/sdks/W2K3DDK.kmk
- usr/share/kBuild/sdks/W2K3DDKAMD64.kmk
- usr/share/kBuild/sdks/W2K3DDKX86.kmk
- usr/share/kBuild/sdks/W32API.kmk
- usr/share/kBuild/sdks/WIN32SDK.kmk
- usr/share/kBuild/sdks/WIN32SDK2002.kmk
- usr/share/kBuild/sdks/WIN64SDK.kmk
- usr/share/kBuild/sdks/WINDDK.kmk
- usr/share/kBuild/sdks/WINDDK71.kmk
- usr/share/kBuild/sdks/WINDDK71WLH.kmk
- usr/share/kBuild/sdks/WINDDK71WNET.kmk
- usr/share/kBuild/sdks/WINDDK71WXP.kmk
- usr/share/kBuild/sdks/WINDDK80.kmk
- usr/share/kBuild/sdks/WINDDK80W8.kmk
- usr/share/kBuild/sdks/WINDDKW2K.kmk
- usr/share/kBuild/sdks/WINDDKWLH.kmk
- usr/share/kBuild/sdks/WINDDKWNET.kmk
- usr/share/kBuild/sdks/WINDDKWXP.kmk
- usr/share/kBuild/sdks/WINPSDK.kmk
- usr/share/kBuild/sdks/WINPSDK71.kmk
- usr/share/kBuild/sdks/WINPSDK71INCS.kmk
- usr/share/kBuild/sdks/WINPSDKINCS.kmk
- usr/share/kBuild/sdks/WINSDK10-UCRT-INCS.kmk
- usr/share/kBuild/sdks/WINSDK10-UCRT-STATIC.kmk
- usr/share/kBuild/sdks/WINSDK10-UCRT.kmk
- usr/share/kBuild/sdks/WINSDK10-UM-INCS.kmk
- usr/share/kBuild/sdks/WINSDK10-UM.kmk
- usr/share/kBuild/sdks/WINSDK10.kmk
- usr/share/kBuild/subfooter.kmk
- usr/share/kBuild/subheader.kmk
- usr/share/kBuild/templates/DUMMY.kmk
- usr/share/kBuild/tools/7ZIP.kmk
- usr/share/kBuild/tools/ALP.kmk
- usr/share/kBuild/tools/BISON.kmk
- usr/share/kBuild/tools/CLANGCCMACHO.kmk
- usr/share/kBuild/tools/CLANGXXMACHO.kmk
- usr/share/kBuild/tools/FLEX.kmk
- usr/share/kBuild/tools/GCC.kmk
- usr/share/kBuild/tools/GCC3.kmk
- usr/share/kBuild/tools/GCC32.kmk
- usr/share/kBuild/tools/GCC3OMF.kmk
- usr/share/kBuild/tools/GCC3PLAIN.kmk
- usr/share/kBuild/tools/GCC42MACHO.kmk
- usr/share/kBuild/tools/GCC4MACHO.kmk
- usr/share/kBuild/tools/GCC64.kmk
- usr/share/kBuild/tools/GXX.kmk
- usr/share/kBuild/tools/GXX3.kmk
- usr/share/kBuild/tools/GXX32.kmk
- usr/share/kBuild/tools/GXX3OMF.kmk
- usr/share/kBuild/tools/GXX3PLAIN.kmk
- usr/share/kBuild/tools/GXX42MACHO.kmk
- usr/share/kBuild/tools/GXX4MACHO.kmk
- usr/share/kBuild/tools/GXX64.kmk
- usr/share/kBuild/tools/JWASM.kmk
- usr/share/kBuild/tools/LLVMGCC42MACHO.kmk
- usr/share/kBuild/tools/LLVMGXX42MACHO.kmk
- usr/share/kBuild/tools/MASM510.kmk
- usr/share/kBuild/tools/MASM600.kmk
- usr/share/kBuild/tools/MASM610.kmk
- usr/share/kBuild/tools/MASM6PLUS.kmk
- usr/share/kBuild/tools/MASM710.kmk
- usr/share/kBuild/tools/MINGW32.kmk
- usr/share/kBuild/tools/MINGWW64.kmk
- usr/share/kBuild/tools/MSLINK510.kmk
- usr/share/kBuild/tools/NASM.kmk
- usr/share/kBuild/tools/OPENWATCOM-16.kmk
- usr/share/kBuild/tools/OPENWATCOM-WL.kmk
- usr/share/kBuild/tools/OPENWATCOM.kmk
- usr/share/kBuild/tools/StandardDTrace.kmk
- usr/share/kBuild/tools/TAR.kmk
- usr/share/kBuild/tools/TARBZ2.kmk
- usr/share/kBuild/tools/TARGZ.kmk
- usr/share/kBuild/tools/VAC308.kmk
- usr/share/kBuild/tools/VCC100.kmk
- usr/share/kBuild/tools/VCC100AMD64.kmk
- usr/share/kBuild/tools/VCC100X86.kmk
- usr/share/kBuild/tools/VCC120.kmk
- usr/share/kBuild/tools/VCC120AMD64.kmk
- usr/share/kBuild/tools/VCC120X86.kmk
- usr/share/kBuild/tools/VCC140.kmk
- usr/share/kBuild/tools/VCC140AMD64.kmk
- usr/share/kBuild/tools/VCC140X86.kmk
- usr/share/kBuild/tools/VCC141.kmk
- usr/share/kBuild/tools/VCC141AMD64.kmk
- usr/share/kBuild/tools/VCC141X86.kmk
- usr/share/kBuild/tools/VCC142.kmk
- usr/share/kBuild/tools/VCC142AMD64.kmk
- usr/share/kBuild/tools/VCC142X86.kmk
- usr/share/kBuild/tools/VCC70.kmk
- usr/share/kBuild/tools/VCC80.kmk
- usr/share/kBuild/tools/VCC80AMD64.kmk
- usr/share/kBuild/tools/VCC80X86.kmk
- usr/share/kBuild/tools/WATCOMC11C-16.kmk
- usr/share/kBuild/tools/WATCOMC11C-WL.kmk
- usr/share/kBuild/tools/WATCOMC11C.kmk
- usr/share/kBuild/tools/WGET.kmk
- usr/share/kBuild/tools/XGCCAMD64LINUX.kmk
- usr/share/kBuild/tools/YACC.kmk
- usr/share/kBuild/tools/YASM.kmk
- usr/share/kBuild/tools/ZIP.kmk
- usr/share/kBuild/units/dtrace.kmk
- usr/share/kBuild/units/gccprecomp.kmk
- usr/share/kBuild/units/lex.kmk
- usr/share/kBuild/units/qt3.kmk
- usr/share/kBuild/units/qt4.kmk
- usr/share/kBuild/units/qt5.kmk
- usr/share/kBuild/units/vccprecomp.kmk
- usr/share/kBuild/units/yacc.kmk
- usr/share/kBuild/up.kmk
- usr/share/kBuild/win-common.kmk
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/BDEPEND
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/BUILD_TIME
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CATEGORY
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CBUILD
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CC
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CFLAGS
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CHOST
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CONTENTS
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/COUNTER
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/CXXFLAGS
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/DEFINED_PHASES
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/DEPEND
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/DESCRIPTION
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/EAPI
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/FEATURES
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/HOMEPAGE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/INHERITED
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/IUSE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/IUSE_EFFECTIVE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/KEYWORDS
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/LDFLAGS
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/LICENSE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/NEEDED
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/PF
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/REQUIRES
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/SIZE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/SLOT
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/USE
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/environment.bz2
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/kbuild-0.1.9998.3407.ebuild
- var/db/pkg/dev-util/kbuild-0.1.9998.3407/repository
package_cacheimage: ""
runtime:
  name: kbuild
  version: 0.1.9998.3407
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A makefile framework for writing simple makefiles for complex tasks
  uri:
  - http://svn.netlabs.org/kbuild/wiki
  license: GPL-3+
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: sys-apps/texinfo sys-devel/flex sys-devel/gettext virtual/pkgconfig ||
      ( dev-util/byacc dev-util/yacc <sys-devel/bison-3.7 )
    emerge.packages: dev-util/kbuild
    kit: dev-kit
    original.package.name: dev-util/kbuild
    original.package.slot: "0"
    original.package.version: 0.1.9998.3407
